更新备货单物流信息
POST
/erp/sc/routing/owms/inbound/updateLogistics接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/owms/inbound/updateLogistics | HTTPS | POST | 1 |
请求参数
overseas_order_nostring必填logistics_listarray<object>必填隐藏子属性
logistics_order_nostring必填logistics_moneystring必填logistics_money_unitstring必填other_moneystring必填other_money_unitstring必填track_order_nostring必填other_money_remarkstring必填real_logistics_moneynumber必填real_logistics_money_unitstring必填real_other_moneynumber必填real_other_money_unitstring必填real_other_money_remarkstring必填logistics_list_typeinteger必填head_logistics_listobject必填隐藏子属性
tax_fee_typeinteger必填tracking_listarray<object>必填隐藏子属性
tracking_nostring必填transport_typeinteger必填order_type_codeinteger必填shippersstring必填remarkstring必填estimate_expenses_listobject必填隐藏子属性
chargeable_weightstringpricestring必填price_currencystring必填logistics_feestring必填logistics_fee_currencystring必填remarkstringother_fee_arrarray<object>必填隐藏子属性
fee_type_idstring必填other_amountstring必填other_currencystring必填actual_expenses_listobject必填隐藏子属性
tax_feestring必填tax_fee_currencystring必填chargeable_weightstring必填pricestring必填price_currencystring必填logistics_feestring必填logistics_fee_currencystring必填remarkstringother_fee_arrarray<object>必填隐藏子属性
fee_type_idstring必填other_amountstring必填other_currencystring必填请求示例
{
"overseas_order_no": "OWS230700001",
"logistics_list": [
{
"logistics_order_no": "1233385552",
"logistics_money": "100",
"logistics_money_unit": "USD",
"other_money": "200",
"other_money_unit": "USD",
"track_order_no": "526654523",
"other_money_remark": "this is remark",
"real_logistics_money": 100,
"real_logistics_money_unit": "USD",
"real_other_money": 100,
"real_other_money_unit": "USD",
"real_other_money_remark": "remark"
}
],
"logistics_list_type": 0,
"head_logistics_list": {
"tax_fee_type": 1,
"tracking_list": [{
"tracking_no": "cxdhxxxxxx123",
"transport_type": "1",
"order_type_code": "5",
"shippers": "coscoxxx",
"remark": "备注"
}],
"estimate_expenses_list": {
"chargeable_weight": "111.00",
"price": "1.00",
"price_currency": "CNY",
"logistics_fee": "1.00",
"logistics_fee_currency": "CNY",
"remark": "预估费用备注",
"other_fee_arr": [{
"fee_type_id": "241192037543649792",
"other_amount": "1.00",
"other_currency": "CNY"
}]
},
"actual_expenses_list": {
"tax_fee":"1",
"tax_fee_currency":"CNY",
"chargeable_weight": "111.00",
"price": "111.00",
"price_currency": "CNY",
"logistics_fee": "111.00",
"logistics_fee_currency": "CNY",
"remark": "实际费用备注",
"other_fee_arr": [{
"fee_type_id": "241192037543649792",
"other_amount": "111.00",
"other_currency": "CNY"
}]
}
}
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<any>必填返回成功示例
{
"code": 0,
"message": "success",
"request_id": "7E80FC0B-55C1-BAC5-0E4B-7AE59706F051",
"response_time": "2023-07-24 15:12:10",
"error_details": [],
"data": []
}